@php
use App\Models\Game;
use App\Models\GameList;
use App\Models\User;
@endphp

<x-base-layout>

    <!--begin::Row-->
    <div class="row gy-5 g-xl-8">
        <!--begin::Col-->
        <div class="col-xxl-8">
            @if (!Auth::check())
            <div class="card shadow-sm mb-2">
                <div class="card-header">
                    <h3 class="card-title">Welcome to MyVideoGameList!</h3>
                </div>
                <div class="card-body">
                    <p>Not a member? We'd love to have you join our community. On MyVideoGameList you can create your own profile, keep track of your video games, meet new friends, and even write reviews on your favorite games (or even for games you hated). We currently have <span class="fw-bolder">{{ number_format(User::count()) }} members</span>, and <span class="fw-bolder">{{ number_format(Game::count()) }} games</span> in our database!<br />
                        <br />
                        So what are you waiting for? Registration is free and only takes a few seconds! If you love video games, keeping things organized and making some new friends then come join our community! Click on the avatar of the ghost in the upper right corner to sign in or sign up!
                    </p>
                </div>
            </div>
            @endif
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Changelog</h3>
                </div>
                <div class="card-body">
                    <p class="mb-0"><span class="fw-bolder">2022-05-27 -</span> We have pushed our first release of the new website into production. With this release we wanted to ensure the basics are working. This includes signing in, signing out, registering a new account, profiles, searching for games, adding games to your list and being able to edit games on your list are working. If you come across any issues please let us know - <a href="https://support.myvideogamelist.com/servicedesk/customer/portal/1">submit a ticket</a> or <a href="https://discord.gg/9b4ZZwx">connect with us on Discord</a>! We'll be continuing to fix any found issues as well as adding in features and functionality that existed on the old website over time.</p>
                </div>
            </div>
        </div>
        <!--end::Col-->

        <!--begin::Col-->
        <div class="col-xxl-4">
            @if (Auth::check())
            {{ theme()->getView('partials/general/_donate-block') }}
            @endif
            {{ theme()->getView('partials/general/_recent-user-updates-block') }}
            {{ theme()->getView('partials/general/_most-popular-games-block') }}
        </div>
        <!--end::Col-->
    </div>
    <!--end::Row-->

</x-base-layout>
